<mat-sidenav-container>
    <mat-sidenav mode="side" opened>

        <button mat-button class="menu-button">
            <mat-icon>home</mat-icon>
            <span>home</span>
        </button>

        <button mat-button class="menu-button">
            <mat-icon>person</mat-icon>
            <span>profile</span>
        </button>

        <button mat-button class="menu-button">
            <mat-icon>info</mat-icon>
            <span>about</span>
        </button>

    </mat-sidenav>

    <mat-sidenav-content>
        <router-outlet></router-outlet>
    </mat-sidenav-content>

</mat-sidenav-container>